FreeMat

- Main Page
- Related Pages

vtkPOVExporter

Section: Visualization Toolkit Rendering Classes

# Usage

This Exporter can be attached to a render window in order to generate scene description files for the Persistance of Vision Raytracer www.povray.org.

.SECTION Thanks Li-Ta Lo (ollie.nosp@m.@lan.nosp@m.l.gov) and Jim Ahrens (ahren.nosp@m.s@la.nosp@m.nl.go.nosp@m.v) Los Alamos National Laboratory

To create an instance of class vtkPOVExporter, simply invoke its constructor as follows

      obj = vtkPOVExporter

# Methods

The class vtkPOVExporter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPOVExporter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPOVExporter = obj.NewInstance ()`
- `vtkPOVExporter = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )`
- `string = obj.GetFileName ()`